summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorAndrew Reynolds <andrew.j.reynolds@gmail.com>2013-05-17 18:17:50 -0500
committerAndrew Reynolds <andrew.j.reynolds@gmail.com>2013-05-17 18:17:50 -0500
commit6c407fa61d5a6ceaa3adef39d88e186823b28dbc (patch)
treee1141be060152d5f30040f39eac82a96681e78c0 /contrib
parent12a1b56a7a6573ae5af47e9d9d6e757e70a6b7a1 (diff)
Add model-producing run script for casc.
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/run-script-casc24-fnt-models38
1 files changed, 38 insertions, 0 deletions
diff --git a/contrib/run-script-casc24-fnt-models b/contrib/run-script-casc24-fnt-models
new file mode 100755
index 000000000..fce320201
--- /dev/null
+++ b/contrib/run-script-casc24-fnt-models
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+let "to = $2 - 60"
+
+file=${bench##*/}
+filename=${file%.*}
+
+# use: trywith [params..]
+# to attempt a run. Only thing printed on stdout is "sat" or "unsat", in
+# which case this run script terminates immediately. Otherwise, this
+# function returns normally.
+function trywith {
+ limit=$1; shift;
+ (ulimit -t "$limit";$cvc4 -L tptp --szs-compliant --no-checking --no-interactive --dump-models --produce-models "$@" $bench) 2>/dev/null |
+ (read result;
+ case "$result" in
+ sat) echo "SZS Satisfiable for $filename";
+ echo "SZS output start FiniteModel for $filename";
+ cat;
+ echo "SZS output end FiniteModel for $filename";
+ exit 0;;
+ unsat) echo "SZS Unsatisfiable for $filename"; exit 0;;
+ conjecture-sat) echo "SZS CounterSatisfiable for $filename";
+ echo "SZS output start FiniteModel for $filename";
+ cat;
+ echo "SZS output end FiniteModel for $filename";
+ exit 0;;
+ conjecture-unsat) echo "SZS Theorem for $filename"; exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+trywith 30 --finite-model-find --uf-ss-totality
+trywith 30 --finite-model-find --decision=justification --fmf-fmc
+trywith $to --finite-model-find --decision=justification
+echo "SZS GaveUp for $filename" \ No newline at end of file
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback